"use strict";

const storage = new (function () {
  const userKey = 'user';

  this.removeUser = function () {
    window.localStorage.removeItem(userKey);
  };

  this.storeUser = function (user) {
    window.localStorage.setItem(userKey, JSON.stringify(user));
    // We also store a cookie of the userId, so that the extension can read it.
    let expirationDate = new Date();
    expirationDate.setTime(expirationDate.getTime() + 30*24*60*60*60*1000);  // 30 days
    document.cookie = 'songuessUserId=' + user.userId + '; expires=' +
      expirationDate.toUTCString() + '; path=/';
  };

  this.getUser = function () {
    return JSON.parse(window.localStorage.getItem(userKey));
  };

  return this;
})();
